﻿Constants = {}


Constants.SCREEN = {
	HEIGHT = 160,
	WIDTH = 300,
	UP_GAP = 0,
	DOWN_GAP = 0,
	RIGHT_GAP = 220,
	MARGIN = 5,
	LINESPACING = 11,
}
Constants.SIZES = {
	UP_GAP = 0,
	DOWN_GAP = 0,
	MAIN_SCREEN_WIDTH = 150,
	MAIN_SCREEN_HEIGHT = 141,
	DEFAULT_TEXT_OFFSET = { x = 0, y = 0 },
	SCREEN_HEIGHT = 192,
	SCREEN_WIDTH = 256,
	BORDER_MARGIN = 5,
	MAIN_SCREEN_PADDING = 199,
	BADGE_COLOR_EDIT_PADDING = 349
}
Constants.ButtonTypes = {
	FULL_BORDER = 1,
	NO_BORDER = 2,
	CHECKBOX = 3,
	COLORPICKER = 4,
	IMAGE = 5,
	PIXELIMAGE = 6,
	POKEMON_ICON = 7,
	STAT_STAGE = 8,
}
Constants.Font = {
	SIZE = 11,
	SizeSats = 9,
	SizeSmall = 9,
	SizeLarge = 12,
	FAMILY = "Arial",
	STYLE = "regular", -- Style options are: regular, bold, italic, strikethrough, underline
}


Constants.Color = {
	Black = "#FF000000",
	DkGrey = "#FF000000",
	IceBlue = "#FF00ACFF",
	DkIceBlue = "#FF005B87",
	White = "#FFFFFFFF",
	NeroGrey = "#FF222222",
	DkNeroGrey = "#FF202020",
	Green = "#FF00FF00",
	Red = "#FFFF0000",
	Yellow = "#FFFFFF00",
	Orange = "#FFFF5F15",
	Purple = "#FFA020F0",
	LtBlue = "#FFADD8E6",
}

Constants.LETTER_PIXEL_LENGTHS = {
	["<"] = 4,
	[">"] = 4,
	[" "] = 1,
	["%"] = 7,
	["0"] = 4,
	["1"] = 4,
	["2"] = 4,
	["3"] = 4,
	["4"] = 4,
	["5"] = 4,
	["6"] = 4,
	["7"] = 4,
	["8"] = 4,
	["9"] = 4,
	["="] = 4,
	[","] = 2,
	["-"] = 2,
	["."] = 1,
	["("] = 2,
	[")"] = 2,
	["+"] = 4,
	["/"] = 4,
	a = 4,
	A = 5,
	b = 4,
	B = 4,
	c = 3,
	C = 4,
	d = 4,
	D = 5,
	e = 4,
	E = 4,
	f = 2,
	F = 4,
	g = 4,
	G = 5,
	h = 4,
	H = 5,
	i = 1,
	I = 1,
	j = 2,
	J = 2,
	k = 4,
	K = 5,
	l = 1,
	L = 3,
	m = 7,
	M = 6,
	n = 4,
	N = 5,
	o = 4,
	O = 5,
	p = 4,
	P = 4,
	q = 4,
	Q = 5,
	r = 2,
	R = 5,
	s = 3,
	S = 4,
	t = 2,
	T = 3,
	u = 4,
	U = 4,
	v = 3,
	V = 5,
	w = 5,
	W = 7,
	x = 3,
	X = 4,
	y = 3,
	Y = 5,
	z = 3,
	Z = 4
}
